Bug 1043217 - [abrt] diffuse-0.4.7-3.fc20: diffuse:6611:__init__:TypeError: Gtk.Entry.set_text() argument 1 must be string without null bytes, not unicode
Summary: [abrt] diffuse-0.4.7-3.fc20: diffuse:6611:__init__:TypeError: Gtk.Entry.set_t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: diffuse
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jon Levell
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4fbcd2b6e5f0f30c44ece3ea79f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-15 06:23 UTC by Yogesh
Modified: 2014-08-01 23:56 UTC (History)
3 users (show)

Fixed In Version: diffuse-0.4.8-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-01 23:55:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.05 KB, text/plain)
2013-12-15 06:23 UTC, Yogesh
no flags Details
File: environ (1.65 KB, text/plain)
2013-12-15 06:23 UTC, Yogesh
no flags Details

Description Yogesh 2013-12-15 06:23:37 UTC
Version-Release number of selected component:
diffuse-0.4.7-3.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/diffuse -s /home/yogesh/Downloads/AndroidManifest.xml
executable:     /usr/bin/diffuse
kernel:         3.11.9-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
diffuse:6611:__init__:TypeError: Gtk.Entry.set_text() argument 1 must be string without null bytes, not unicode

Traceback (most recent call last):
  File "/usr/bin/diffuse", line 8146, in find_cb
    self.find(True, False)
  File "/usr/bin/diffuse", line 8108, in find
    dialog = SearchDialog(self.get_toplevel(), pattern, history)
  File "/usr/bin/diffuse", line 6611, in __init__
    self.entry.set_text(pattern)
TypeError: Gtk.Entry.set_text() argument 1 must be string without null bytes, not unicode

Local variables in innermost frame:
parent: <Diffuse object at 0x203c050 (GtkWindow at 0x21b70c0)>
pattern: u'\x03\x00\x08\x00\x08\xd5\x02\x00\x01\x00\x1c\x00\x94\x9b\x00\x00\xa3\x02\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xa8'
self: <SearchDialog object at 0x3286f50 (GtkDialog at 0x45040a0)>
label: <gtk.Label object at 0x36632d0 (GtkLabel at 0x24135d0)>
vbox: <gtk.VBox object at 0x3663230 (GtkVBox at 0x2413b00)>
combo: <gtk.ComboBoxEntry object at 0x3663320 (GtkComboBoxEntry at 0x1f00430)>
hbox: <gtk.HBox object at 0x3663280 (GtkHBox at 0x2413b90)>
history: []

Comment 1 Yogesh 2013-12-15 06:23:44 UTC
Created attachment 836858 [details]
File: backtrace

Comment 2 Yogesh 2013-12-15 06:23:47 UTC
Created attachment 836859 [details]
File: environ

Comment 3 Fedora Update System 2014-07-22 02:50:58 UTC
diffuse-0.4.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/diffuse-0.4.8-1.fc19

Comment 4 Fedora Update System 2014-07-22 02:51:06 UTC
diffuse-0.4.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/diffuse-0.4.8-1.fc20

Comment 5 Fedora Update System 2014-07-23 02:59:30 UTC
Package diffuse-0.4.8-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing diffuse-0.4.8-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8638/diffuse-0.4.8-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-01 23:55:10 UTC
diffuse-0.4.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-08-01 23:56:15 UTC
diffuse-0.4.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.